Scheduled Flows

Index

get

Pagination

Pagination is available for this request. Please see the section on using pagination for more details.

Available Includes

These are the includes that can be used to include addition related data in the results. Please see the section on using includes for more details.

  • flowVersion

  • flowVersion_count

  • flowVersionExists

  • payloadMetadata

  • payloadMetadata_count

  • payloadMetadataExists

  • flow

  • flow_count

  • flowExists

  • virtualEnvironmentVersion

  • virtualEnvironmentVersion_count

  • virtualEnvironmentVersionExists

  • virtualEnvironmentVersion.virtualEnvironment

Available Filters

These are the filters that can be used to specific the data to return. Please see the section on using filters for more details.

  • status

  • flow_version_id

Available Sorts

These are the sorts that can be used order the returned data. Please see the section on using sorting for more details.

  • status

  • created_at

  • updated_at

  • flow_version_id

Authorizations
Query parameters
filter[status]stringOptional

Filter results by status.

filter[flow_version_id]stringOptional

Filter results by flow_version_id.

includestringOptional

Comma-separated list of relationships to include. Available: flowVersion, payloadMetadata, flow, virtualEnvironmentVersion, virtualEnvironmentVersion.virtualEnvironment

sortstringOptional

Sort field. Prefix with - for descending. Available: status, created_at, updated_at, flow_version_id

pageinteger · min: 1Optional

Page number for pagination.

Default: 1
per_pageinteger · min: 1 · max: 100Optional

Number of results per page.

Responses
chevron-right
200

Successful response

application/json
get
/api/v1/scheduled-flows

Delete-All

delete

Delete-All for scheduled flows.

Authorizations
Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/scheduled-flows

Delete-By-Flow

delete

Delete-By-Flow for delete.

Authorizations
Path parameters
flowstringRequired

The flow identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/scheduled-flows/{flow}/delete

Destroy

delete

Delete a scheduled flow.

Authorizations
Path parameters
scheduled_flowstringRequired

The scheduled flow identifier.

Responses
chevron-right
200

Successful response

application/json
messagestringOptional
delete
/api/v1/scheduled-flows/{scheduled_flow}

Last updated

Was this helpful?